Canvas5StyleManagerInternal::ColorStyle Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
Canvas5StyleManagerInternal::ColorStyle Struct Reference

Internal: the color style of a Canvas5StyleManager. More...

## Public Member Functions
| ColorStyle ()
| constructor More...

## Public Attributes
unsigned | m_type
| the type More...
int | m_nameId
| the name id More...
MWAWColor | m_color
| the basic color More...
MWAWGraphicStyle::Gradient | m_gradient
| the gradient More...
MWAWGraphicStyle::Hatch | m_hatch
| the hatch More...
MWAWVec2i | m_textureDim
| the texture dimension More...
MWAWEmbeddedObject | m_texture
| the embedded objet (texture) More...
bool | m_isBad
| a flag to know if the color is read More...

## Friends
std::ostream & | operator<< (std::ostream &o, ColorStyle const &color)

## Detailed Description

Internal: the color style of a Canvas5StyleManager.

## Constructor & Destructor Documentation

## ◆ ColorStyle()

Canvas5StyleManagerInternal::ColorStyle::ColorStyle | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | ColorStyle const & | color
| ) |  |
| friend

## Member Data Documentation

## ◆ m_color

MWAWColor Canvas5StyleManagerInternal::ColorStyle::m_color

the basic color

Referenced by Canvas5StyleManager::readColorStyle(), Canvas5StyleManager::readSymbol(), and Canvas5StyleManager::readVKFL().

## ◆ m_gradient

MWAWGraphicStyle::Gradient Canvas5StyleManagerInternal::ColorStyle::m_gradient

the gradient

Referenced by Canvas5StyleManager::readColorStyle().

## ◆ m_hatch

MWAWGraphicStyle::Hatch Canvas5StyleManagerInternal::ColorStyle::m_hatch

the hatch

Referenced by Canvas5StyleManager::readColorStyle().

## ◆ m_isBad

bool Canvas5StyleManagerInternal::ColorStyle::m_isBad

a flag to know if the color is read

Referenced by Canvas5StyleManager::readColorStyle(), Canvas5StyleManager::readSymbol(), and Canvas5StyleManager::readVKFL().

## ◆ m_nameId

int Canvas5StyleManagerInternal::ColorStyle::m_nameId

the name id

## ◆ m_texture

MWAWEmbeddedObject Canvas5StyleManagerInternal::ColorStyle::m_texture

the embedded objet (texture)

Referenced by Canvas5StyleManager::readVKFL().

## ◆ m_textureDim

MWAWVec2i Canvas5StyleManagerInternal::ColorStyle::m_textureDim

the texture dimension

Referenced by Canvas5StyleManager::readVKFL().

## ◆ m_type

unsigned Canvas5StyleManagerInternal::ColorStyle::m_type

the type

Referenced by Canvas5StyleManager::readColorStyle(), and Canvas5StyleManager::readSymbol().

The documentation for this struct was generated from the following file:

- Canvas5StyleManager.cxx